Class: Aws::Imagebuilder::Types::CreateContainerRecipeRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#client_tokenString

A unique, case-sensitive identifier you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error. For more information, see Ensuring idempotency in the Amazon EC2 API Reference.

A suitable default value is auto-generated. You should normally not need to pass this option.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#componentsArray<Types::ComponentConfiguration>

The components included in the container recipe.

Returns:



1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#container_typeString

The type of container to create.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#descriptionString

The description of the container recipe.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#dockerfile_template_dataString

The Dockerfile template used to build your image as an inline data blob.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#dockerfile_template_uriString

The Amazon S3 URI for the Dockerfile that is used to build your container image.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#dry_runBoolean

Validates the required permissions and request parameters without making the request. If validation succeeds, the operation returns a DryRunOperationException error response.

Returns:

  • (Boolean)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#image_os_version_overrideString

Specifies the operating system version for the base image.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#instance_configurationTypes::InstanceConfiguration

A group of options that can be used to configure an instance for building and testing container images.



1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#kms_key_idString

The Amazon Resource Name (ARN) that uniquely identifies which KMS key is used to encrypt the Dockerfile template. This can be either the Key ARN or the Alias ARN. For more information, see Key identifiers (KeyId) in the Key Management Service Developer Guide.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#nameString

The name of the container recipe.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#parent_imageString

The base image for the container recipe.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#platform_overrideString

Specifies the operating system platform when you use a custom base image.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#semantic_versionString

The semantic version of the container recipe. This version follows the semantic version syntax.

The semantic version has four nodes: <major>.<minor>.<patch>/<build>. You can assign values for the first three, and can filter on all of them.

Assignment: For the first three nodes, you can assign any positive integer value, including zero. The upper limit is 230-1, or 1073741823, for each node. Image Builder automatically assigns the build number to the fourth node.

Patterns: You can use any numeric pattern that adheres to the assignment requirements for the nodes that you can assign. For example, you might choose a software version pattern, such as 1.0.0, or a date, such as 2021.01.01.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#tagsHash<String,String>

Tags that are attached to the container recipe.

Returns:

  • (Hash<String,String>)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#target_repositoryTypes::TargetContainerRepository

The destination repository for the container image.



1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end

#working_directoryString

The working directory for use during build and test workflows.

Returns:

  • (String)


1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
# File 'gems/aws-sdk-imagebuilder/lib/aws-sdk-imagebuilder/types.rb', line 1280

class CreateContainerRecipeRequest < Struct.new(
  :container_type,
  :name,
  :description,
  :semantic_version,
  :components,
  :instance_configuration,
  :dockerfile_template_data,
  :dockerfile_template_uri,
  :platform_override,
  :image_os_version_override,
  :parent_image,
  :tags,
  :working_directory,
  :target_repository,
  :kms_key_id,
  :client_token,
  :dry_run)
  SENSITIVE = []
  include Aws::Structure
end